//
// $Id: Hello.cpp 85951 2009-07-09 13:11:43Z sma $
//
#include "Hello.h"

ACE_RCSID(Hello, Hello, "$Id: Hello.cpp 85951 2009-07-09 13:11:43Z sma $")

Hello::Hello (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

char *
Hello::get_string ()
{
  return CORBA::string_dup ("Hello there!");
}

void
Hello::shutdown ()
{
  this->orb_->shutdown (0);
}
